# pandas.api.extensions.ExtensionDtype.is_dtype

classmethod ExtensionDtype.is_dtype(dtype)

  Check if we match ‘dtype’.

  Parameters
    dtype object

      The object to check.

  Returns
    bool

  Notes

  The default implementation is True if

  1. `cls.construct_from_string(dtype)` is an instance of `cls`.

  2. `dtype` is an object and is an instance of `cls`

  3. `dtype` has a `dtype` attribute, and any of the above conditions is true for `dtype.dtype`.